From 87bc4497afc1c6ea09dadd6e2720a698aaacdb6e Mon Sep 17 00:00:00 2001
From: Alexandru Avadanii <Alexandru.Avadanii@enea.com>
Date: Tue, 23 Jan 2018 18:25:11 +0100
Subject: deploy.sh: Retire simplest scenario fallback

Previously, when a requested scenario was missing, we used to default
to the simplest scenario.
Now that we have a critical mass of scenario definitions, retire
this fallback mechanism.

Change-Id: I3ba6b04290806ff78b3ec22b90fa054d45602869
Signed-off-by: Alexandru Avadanii <Alexandru.Avadanii@enea.com>
---
 ci/deploy.sh | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

diff --git a/ci/deploy.sh b/ci/deploy.sh
index 501a36c67..69a7323e3 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -321,13 +321,8 @@ fi
 # Check scenario file existence
 SCENARIO_DIR="../config/scenario"
 if [ ! -f  "${SCENARIO_DIR}/${DEPLOY_TYPE}/${DEPLOY_SCENARIO}.yaml" ]; then
-    notify "[WARN] ${DEPLOY_SCENARIO}.yaml not found!\n" 3
-    notify "[WARN] Setting simplest scenario (os-nosdn-nofeature-noha)\n" 3
-    DEPLOY_SCENARIO='os-nosdn-nofeature-noha'
-    if [ ! -f  "${SCENARIO_DIR}/${DEPLOY_TYPE}/${DEPLOY_SCENARIO}.yaml" ]; then
-        notify "[ERROR] Scenario definition file is missing!\n" 1>&2
-        exit 1
-    fi
+    notify "[ERROR] Scenario definition file is missing!\n" 1>&2
+    exit 1
 fi
 
 # Check defaults file existence
-- 
cgit